Page 268 of 305 FirstFirst ... 168218258263264265266267268269270271272273278 ... LastLast
Results 5,341 to 5,360 of 6094
  1. #5341  
    Quote Originally Posted by subversiveasset View Post
    Is there a way to manually change preware's feeds addresses?

    Somehow, I believe that the one for patches has become incorrect, and I can't change it back. It points to [url]

    I don't think the /all/ should be there. I get errors every time saying "wget bad address"
    That should be updated on each boot by the Package Manager Service.

    If it's not, I'll want to talk in real time to debug why (assuming you're running the latest version).

    -- Rod
  2. #5342  
    Same here. Preware will just hang and phone becomes unresponsive with a pop up about too many cards open. Had to take the battery out to reset it.
    There were no other cards open.
  3. #5343  
    Quote Originally Posted by Aviator View Post
    Same here. Preware will just hang and phone becomes unresponsive with a pop up about too many cards open. Had to take the battery out to reset it.
    There were no other cards open.
    See http://forums.precentral.net/2262418-post22.html for the solution to the too many cards problem.

    -- Rod
    WebOS Internals and Preware Founder and Developer
    You may wish to donate by Paypal to donations @ webos-internals.org if you find our work useful.
    All donations go back into development.
    www.webos-internals.org twitter.com/webosinternals facebook.com/webosinternals
  4. #5344  
    Quote Originally Posted by prettypre356d View Post
    guys how can i get preware on version 0.1.4?
    Exactly the same as any other version:

    http://install.preware.org/

    -- Rod
    WebOS Internals and Preware Founder and Developer
    You may wish to donate by Paypal to donations @ webos-internals.org if you find our work useful.
    All donations go back into development.
    www.webos-internals.org twitter.com/webosinternals facebook.com/webosinternals
  5. #5345  
    Quote Originally Posted by alvin319 View Post
    Trying to reinstall Preware after 1.4 update and keeps telling package manager service not running. I am installing the service first and then preware with no luck. Have tried rebooting a few times also. any suggestions?

    Edit: I have also tried using the Preware installer and QI
    If you said "also" tried Preware Installer and WebOS Quick Install, then what where you using to install the Package Manager Service in the first place?

    Which step of http://install.preware.org/ fails?

    -- Rod
    WebOS Internals and Preware Founder and Developer
    You may wish to donate by Paypal to donations @ webos-internals.org if you find our work useful.
    All donations go back into development.
    www.webos-internals.org twitter.com/webosinternals facebook.com/webosinternals
  6. #5346  
    Quote Originally Posted by toyotast165 View Post
    i cant find virtual keyboard anymore?
    It hasn't been updated for webOS 1.4 yet.

    Quote Originally Posted by PhantomPhreak53 View Post
    I love the AUPT! I did have 3 patches that would not install though.

    Match Area Code <- can't uninstall either
    Landscape PDF
    Call Duration in Call Log
    Please ask in the AUPT thread.

    Quote Originally Posted by stevee10001 View Post
    hey i just downloaded multi mod on preware i had just got wedos 1.4 but after downloading multi mod i found that the browser did not work no matter if i typed in a address of clicked on a bookmark it did nothing once i uninstalled it it worked again just thought i would warn you!
    Please ask in the AUPT thread.

    Quote Originally Posted by tennenho View Post
    I hadn't, no. So I doctored my phone back to 1.3.5.1, reinstalled Preware, updated it to the latest version, reinstalled all my AUPT-compatible patches, then did the update to 1.4...

    ...and now Preware is nowhere to be seen, along with dozens of my apps. Not only that, but when I go to the app store, and select the shopping bag, I'm told I have no downloaded apps.

    ***?
    Has this been resolved? Did reinstalling the Package Manager Service with WebOS Quick Install 3.01 or later fix it now that the servers are no longer overloaded?

    Quote Originally Posted by ay View Post
    Did you ever get Call Duration in Call Log working? That's the only one giving me trouble. I keep getting an error when I try to install it. My Pre isn't even indicating that it knows that I had it before the update any longer (it's not giving me the option to Update it, but rather only to Install it). I wonder if there's not a vestige of the old code left on my Pre that I need to manually remove in order to re-install it like I used to have to do with Virtual Keyboard (which did update appropriately after the update to 1.4 by the way).
    Please ask in the appropriate thread for that specific patch, or the AUPT thread.

    Quote Originally Posted by eggroks View Post
    i gotta question when i start preware its speeds through loading the loading package information and then goes straight to the main screen and only lists available apps and installed apps. i reinstalled preware like 5 times? is it that everyone is using it or something wrong with prewarE?
    Sounds like you don't have a network connection, or you've got the preference set to manually update feeds.

    Quote Originally Posted by ilovetrains View Post
    I am sorry if this is asked and answered, but I did not see it in scrolling through here...

    Is there a way to install Preware (and what it needs to function, ie Package Manager Service) from a Power PC based Mac or OTA?? PowerPC Mac's cannot run Java 6, therefore will not install WebOS QI, therefore no Package Manager service - you get the idea.

    Thanks for any help.
    If you can get a Linux command line on the Pre (perhaps using the Palm SDK), then you can run the preware-bootstrap script.

    Quote Originally Posted by TheRQTekt View Post
    Yeah for some odd reason my phone keeps saying that "Package Manager Service" isn't running when I try to load PreWare. I'm gathering something is the matter with the Package Manager right now.
    No, the Package Manager Service itself has no known problems.

    Quote Originally Posted by pchrist View Post
    i keep getting a memory issue when i load preware says i have to many cards open. I don't have anything else running but this!!!

    Any ideas???
    See the solution in one of the posts above to remove the too-large files.

    Quote Originally Posted by thehoffaman View Post
    same thing. I installed 1.4- all patches were gone so I tried preware.... first i got a bunch of errors and hangs on feeds so I tried to change the settings to update feeds manually. I then got hung up on getting package info it would sit for a while then the phone would do what appears to be a luna restart. I changed to update feeds on launch and now I get "memory critcal ...close cards to recover" no cards open- preware .9.28
    See the solution in one of the posts above to remove the too-large files.

    Quote Originally Posted by jordan23945bulls View Post
    I'm still not getting preware to run! and I have another pre that's not updating any of the patches I get an error everytime help?
    Sounds like it was just timeouts from the overloaded servers. Is it still happening?

    Quote Originally Posted by OnePalmAddict View Post
    I was having the same experience throughout the day today as jhoove09 above, including the weird pop-up (except mine was longer and the top portion was off the screen and not viewable). But eventually I was able to run Preware even thought it was still rather slow.

    It also seemed like all my patches were listed on the update window when I first ran it, but as I tried other times throughout the day, certain patches seemed to no longer be listed but I found them on the "available" patch list and (re)loaded them from there. Overall today, Preware has not only been slow but performed somewhat oddly for me (as I just describe), though it didn't causes any problems, per se.

    Does anyone know why all of my patches listed for update but described as not yet ready for v1.4 (i.e., they would only update with a placeholder on my Pre) resulted in IPKG errors? None of them would actually load.

    ME
    Please ask on the AUPT thread. Did you take a look at the IPKG Log menu window to see what the error message said?

    Quote Originally Posted by thegodfaza View Post
    When I try to load preware on 1.4, my Pre's touch screen stops responding, I get the out of ram warning, then my entire Pre locks up.
    See the solution in one of the posts above to remove the too-large files.

    -- Rod
    WebOS Internals and Preware Founder and Developer
    You may wish to donate by Paypal to donations @ webos-internals.org if you find our work useful.
    All donations go back into development.
    www.webos-internals.org twitter.com/webosinternals facebook.com/webosinternals
  7. #5347  
    Quote Originally Posted by petehild View Post
    Thanks for your advice.

    I was wondering if it is possible to create a feed with all the free apps worldwide and make them avaliable to all countries.
    http://forums.precentral.net/gsm-pre...r-country.html

    Free apps being limited to certain countries, instead of being freely available to everyone is like a punch in the face.

    Pete
    You will want to be very careful about this.

    If you create such a feed, and actually redistribute applications that are not freely redistributable according to their license (i.e. in general, not an open source or creative commons licensed app), then you are likely to be in breach of copyright.

    Preware.org even has to be careful with the PreCentral feed, cause there are homebrew authors with apps that have licenses which do not allow for redistribution of those free homebrew apps other than from PreCentral's servers (we set up our preware.org web server to redirect a request for such an app in Preware from preware.org to be downloaded directly from PreCentral's servers instead).

    WebOS Internals takes copyright matters *very* seriously. We recommend everyone else does too, for the good of the whole homebrew community.

    You do *not* want to be caught hosting material for which you do not hold the copyright or which does not have free redistribution rights as part of the license. Creating an index file which points to where the person who does have such valid redistribution rights actually hosts the original file does not violate copyright.

    -- Rod
    Last edited by rwhitby; 02/28/2010 at 06:37 AM.
    WebOS Internals and Preware Founder and Developer
    You may wish to donate by Paypal to donations @ webos-internals.org if you find our work useful.
    All donations go back into development.
    www.webos-internals.org twitter.com/webosinternals facebook.com/webosinternals
  8. #5348  
    Quote Originally Posted by rwhitby View Post
    You will want to be very careful about this.

    If you create such a feed, and actually redistribute applications that are not freely redistributable according to their license (i.e. in general, not an open source or creative commons licensed app), then you are likely to be in breach of copyright.

    Preware.org even has to be careful with the PreCentral feed, cause there are homebrew authors with apps that have licenses which do not allow for redistribution of those free homebrew apps other than from PreCentral's servers (we set up our preware.org web server to redirect a request for such an app in Preware from preware.org to be downloaded directly from PreCentral's servers instead).

    WebOS Internals takes copyright matters *very* seriously. We recommend everyone else does too, for the good of the whole homebrew community.

    You do *not* want to be caught hosting material for which you do not hold the copyright or which does not have free redistribution rights as part of the license. Creating an index file which points to where the person who does have such valid redistribution rights actually hosts the original file does not violate copyright.

    -- Rod
    Hi Rod,

    Thanks for your input, I know about the problems you can run into (especially in the legal sector). I was not thinking about a feed with the actual ipks, but as you mentioned, an index file with links to the original file.

    Pete
  9. #5349  
    Quote Originally Posted by petehild View Post
    Hi Rod,

    Thanks for your input, I know about the problems you can run into (especially in the legal sector). I was not thinking about a feed with the actual ipks, but as you mentioned, an index file with links to the original file.

    Pete
    No worries, Pete.

    Just so you know, the Palm feeds on preware.org are already such indexes.

    -- Rod
    WebOS Internals and Preware Founder and Developer
    You may wish to donate by Paypal to donations @ webos-internals.org if you find our work useful.
    All donations go back into development.
    www.webos-internals.org twitter.com/webosinternals facebook.com/webosinternals
  10. #5350  
    Quote Originally Posted by rwhitby View Post
    No worries, Pete.

    Just so you know, the Palm feeds on preware.org are already such indexes.

    -- Rod
    The problem with those feeds is, that preware always starts the app catalog installer... and the app catalog installer only tells me I'm in the wrong country

    Is there a possebility to set priorities for the feeds?
    Some apps are in two places like precentral and the palm catalog, I would like to chose where to install from. Is there a way to do that?

    Pete
  11. #5351  
    Quote Originally Posted by rwhitby View Post
    That should be updated on each boot by the Package Manager Service.

    If it's not, I'll want to talk in real time to debug why (assuming you're running the latest version).

    -- Rod
    I uninstalled, reinstalled, restarted a few times. The feed for webos-patches is now correct.

    Unfortunately, the feeds for Optware and webosinternals are incorrect (they just say "feed"), and one of these has gnustat and lsdiff, which I need to install many of the patches.

    cat /etc/event.d/org.webosinternals.ipkgservice still gives me only ONE line, too.
  12. #5352  
    Quote Originally Posted by subversiveasset View Post
    I uninstalled, reinstalled, restarted a few times. The feed for webos-patches is now correct.

    Unfortunately, the feeds for Optware and webosinternals are incorrect (they just say "feed"), and one of these has gnustat and lsdiff, which I need to install many of the patches.

    cat /etc/event.d/org.webosinternals.ipkgservice still gives me only ONE line, too.
    Are you using WebOS Quick Install 3.01 to install the Package Manager Service, and are you selecting "Yes" when it asks to run the Post-Install script (which is what sets those feed URLs correct) ?

    The one line from cat looks to me to be a bug in WebOS Quick Install's Linux command line - are you absolutely sure you are using 3.01 or later, cause I thought Jason had fixed that. Can you ask Jason about that?

    -- Rod
    WebOS Internals and Preware Founder and Developer
    You may wish to donate by Paypal to donations @ webos-internals.org if you find our work useful.
    All donations go back into development.
    www.webos-internals.org twitter.com/webosinternals facebook.com/webosinternals
  13. #5353  
    I'm using WebOS QI 3.02 (if the nelp -> about screen is correct), and I do select yes to run post-install scripts.

    I decided to get lsdiff and gnu patch through WebOS QI instead. That has let me get (most) of the patches I used to have. There are some other errors for other patches (different ones), but I don't think I'm going to mess with it for a while.
  14. #5354  
    I'm having problems with the browser not working since I added patches yesterday. I've ran the epr a couple times since then and preware shows I have no patches installed. I've never had the multi-mod patch installed.
  15. #5355  
    this may be a dumb question, but do i need to be in dev mode to run preware?

    I mean after it's installed.
  16. #5356  
    Quote Originally Posted by jaykimdotnet View Post
    this may be a dumb question, but do i need to be in dev mode to run preware?

    I mean after it's installed.
    You can turn Dev Mode Off after installing preware
  17. #5357  
    I am getting "Too many cards -Critical Memory Error" message at the bottom everytime I load Preware. I looked at all of the packages in Linux command and the biggest is my patches and I don't want to remove those, any suggestions?
  18. #5358  
    What is the prompt supposed to say after the Too Many Cards error has been fixed? I did what it says but didnt see anything stating it was complete. Thanks for the post by the way.

    Update: Well I guess it was applied because when I did the process over again (typed in "ls -l /media/cryptofs/apps/usr/lib/ipkg/lists" into the Linux cmd prompt on Quick Install) the precentral option wasnt there anymore.
    Last edited by blackspidey08; 02/28/2010 at 12:03 PM. Reason: update
  19. #5359  
    i have 1.40 and i too got the card error but that was fixed after i did a wipe of apps...now im trying to get my tweaks and themes back but now im getting the "failure during getConfigs operation" even though i have restarted and everything, everything else seems to be working fine...

    also...when will themes be up in the quick installer?
  20. #5360  
    I can attest that as of right now it looks like Preware is running smoothly again. I did, however, use the Too Many Cards error fix thru Quick Install (http://forums.precentral.net/2262418-post22.html). Thanks to tmm0f5!!

Tags for this Thread

Posting Permissions